using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StartSeneData : MonoBehaviour
{
    [Header("Default Rewards")]
    public float nonRewardDefault = -0.05f;
    public float shootRewardDefault = -0.06f;
    public float shootWithoutReadyRewardDefault = -0.06f;
    public float hitRewardDefault = 5.0f;
    public float killRewardDefault = 10.0f;
    public float winRewardDefault = 20.0f;
    public float loseRewardDefault = -10.0f;

    // LoadDir
    [System.NonSerialized]public string LoadDirDate = "0";
    [System.NonSerialized]public string LoadDirTime = "0";

    // Rewards
    [System.NonSerialized] public float nonReward;
    [System.NonSerialized] public float shootReward;
    [System.NonSerialized] public float shootWithoutReadyReward;
    [System.NonSerialized] public float hitReward;
    [System.NonSerialized] public float killReward;
    [System.NonSerialized] public float winReward;
    [System.NonSerialized] public float loseReward;

    // DecisionPeriod
    [System.NonSerialized] public int DecisionPeriod = 1;
    [System.NonSerialized] public bool ActionsBetweenDecisions = true;

    // EnemyNum
    [System.NonSerialized] public int EnemyNum = 3;

    // TimeLimit
    [System.NonSerialized] public int Timelim = 30;

    private void Start()
    {
        nonReward = nonRewardDefault;
        shootReward = shootRewardDefault;
        shootWithoutReadyReward = shootWithoutReadyRewardDefault;
        hitReward = hitRewardDefault;
        killReward = killRewardDefault;
        winReward = winRewardDefault;
        loseReward = loseRewardDefault;
    }
    // Update is called once per frame
    void Awake()
    {
        DontDestroyOnLoad(transform.gameObject);
    }
}
